﻿<h2>Editar País</h2>

<form id="editarForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Country" />
    <div>
        <label for="id" class="fw-bold">ID:</label>
        <input type="text" id="id" name="id" readonly class="form-control custom-width-input">
    </div>
    <div>
        <label for="nombre" class="fw-bold">Nombre:</label>
        <input type="text" id="nombre" name="nombre" class="form-control custom-width-input">
    </div>
    <div>
        <label for="codigoArea" class="fw-bold">Código de Área:</label>
        <input type="text" id="codigoArea" name="codigoArea" class="form-control custom-width-input">
    </div>
    <div>
        <label for="iso2" class="fw-bold">ISO2:</label>
        <input type="text" id="iso2" name="iso2" class="form-control custom-width-input">
    </div>
    <br />
    <div>
        <button type="button" onclick="registrar()" class="btn btn-primary">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secundary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/edit.js"></script>

<script>
    function fillData(data) {
        document.getElementById("id").value = data.id;
        document.getElementById("nombre").value = data.nombre;
        document.getElementById("codigoArea").value = data.codigoArea;
        document.getElementById("iso2").value = data.iso2;
    }

    function registrar() {
        console.log("Guardando cambios...");
        const id = document.getElementById('id').value;
        const nombre = document.getElementById('nombre').value;
        const codigoArea = document.getElementById('codigoArea').value;
        const iso2 = document.getElementById('iso2').value;

        const postData = {
            'Nombre': nombre,
            'CodigoArea': codigoArea,
            'Id': id,
            'Iso2': iso2
        };

        guardar(postData);
    }

    cargarDatos();
</script>